## Index

### Classes

- ProgramInfo

### Functions

- comparePublicKeys
- getParamsFromProgram
- getProgramInfo
- programFromMultiPubKey
- programFromParams
- programFromPubKey
- pushBigInt
- pushBytes
- pushNum
- pushOpCode
- pushPubKey
- readBytes
- readNum
- readOpcode
- readPubKey

## Functions

### comparePublicKeys

- comparePublicKeys(a: PublicKey, b: PublicKey): number

- - Defined in transaction/program.ts:34

  #### Parameters

  - ##### a: PublicKey

  - ##### b: PublicKey

  #### Returns number

### getParamsFromProgram

- getParamsFromProgram(hexstr: string): string[]

- - Defined in transaction/program.ts:203

  #### Parameters

  - ##### hexstr: string

  #### Returns string[]

### getProgramInfo

- getProgramInfo(hexstr: string): ProgramInfo

- - Defined in transaction/program.ts:216

  #### Parameters

  - ##### hexstr: string

  #### Returns ProgramInfo

### programFromMultiPubKey

- programFromMultiPubKey(pubkeys: PublicKey[], m: number): string

- - Defined in transaction/program.ts:128

  #### Parameters

  - ##### pubkeys: PublicKey[]

  - ##### m: number

  #### Returns string

### programFromParams

- programFromParams(sigs: string[]): string

- - Defined in transaction/program.ts:149

  #### Parameters

  - ##### sigs: string[]

  #### Returns string

### programFromPubKey

- programFromPubKey(pk: PublicKey): string

- - Defined in transaction/program.ts:121

  #### Parameters

  - ##### pk: PublicKey

  #### Returns string

### pushBigInt

- pushBigInt(num: number): string

- - Defined in transaction/program.ts:76

  #### Parameters

  - ##### num: number

  #### Returns string

### pushBytes

- pushBytes(hexstr: string): string

- - Defined in transaction/program.ts:99

  #### Parameters

  - ##### hexstr: string

  #### Returns string

### pushNum

- pushNum(num: number): string

- - Defined in transaction/program.ts:89

  #### Parameters

  - ##### num: number

  #### Returns string

### pushOpCode

- pushOpCode(op: opcode): string

- - Defined in transaction/program.ts:67

  #### Parameters

  - ##### op: opcode

  #### Returns string

### pushPubKey

- pushPubKey(pk: PublicKey): string

- - Defined in transaction/program.ts:71

  #### Parameters

  - ##### pk: PublicKey

  #### Returns string

### readBytes

- readBytes(sr: StringReader): string

- - Defined in transaction/program.ts:181

  #### Parameters

  - ##### sr: StringReader

  #### Returns string

### readNum

- readNum(sr: StringReader): number

- - Defined in transaction/program.ts:161

  #### Parameters

  - ##### sr: StringReader

  #### Returns number

### readOpcode

- readOpcode(sr: StringReader): number

- - Defined in transaction/program.ts:157

  #### Parameters

  - ##### sr: StringReader

  #### Returns number

### readPubKey

- readPubKey(sr: StringReader): PublicKey

- - Defined in transaction/program.ts:198

  #### Parameters

  - ##### sr: StringReader

  #### Returns PublicKey

Generated using TypeDoc